local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.MakeGoldWithBattlePets(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Make Gold With Battle Pets")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  -- Introduction
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Introduction:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Farming for Battle pets is a great way of obtaining gold. However, before getting into this market it is wise to remember that you will need to build up a selection of battle pets before you reach regular sales each and everyday. For doing this there are multiple ways to obtain battle pets in the game as such we will be exploring them.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
 -- Dungeons

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Dungeon:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now for Dungeon Battle Pet farms, these are quite simply one of the easiest ones to do as you are able to do these ten times per hour. This mean you'll be running into the said dungeon and heading towards the Rare mob that drops the battle pet. Some of these farms like Lower Blackrock Spire do drop battle pets but these drop quite commonly and are not really worth the time of day as they are so easy to get a hold of. However, there are some such as the Lanticore Spawnling in the Upper Blackrock Spire which do go for a sizeable amount of gold.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This is because The Lanticore drops from a rare inside of the dungeon which only spawns roughly around two times per every  ten runs. This increases the value as you can't guarantee this rare to be up every run you do. Following onto this, the Battle pet maybe a 100% drop chance from this Rare with the same name but the Dungeon itself is locked to one run per day as this is obtainable through the Heroic dungeon and as such you only have one shot per day per character to have a chance of getting this pet. This is why some Dungeon farmed battle pets go for more as they have harder barriers to entry for farming these pets.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)   

--- Raids:  
 

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Raid:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Following onto this we have a staple way of farming Battle Pets and that is with the use of old Raids. Old Raids can be a great sources of padding out your auction house and also obtaining high value battle pets. Though some battle pets are easier to gain than others, this is reflected in there prices on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

  local desc = AceGUI:Create("Label")
  desc:SetText("For one, the Molten Core raid can be done for battle pets but this raid has an abundance of these battle pets on the auction house which means that there prices are far lower than others. As for Raids like the Siege of Orgrimmar, these pets can be obtained and sold for a high value as the drop rates for these a lower meaning there are less supply on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
    local desc = AceGUI:Create("Label")
  desc:SetText("The main way to look at this in a gold farming perspective is to see which pets are going for a strong value but also checking there drop chance in order to see if this is worth the time invested running the old raid. For Raids like the Temple of Ahn'Qiraj there are multiple easy to gain battle pets that sell like like the Anubisath Idol which can be obtained from the “Twin Emperors”. This is a easy battle pet to get and sells for a fair amount but the keynote Pet from this raid is the Viscidus globule which can be obtained from the boss “ Viscidus”. This battle pet goes for a lot more gold than the other pets in this because of the the barrier to gain this pet.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
    local desc = AceGUI:Create("Label")
  desc:SetText("While fighting Viscidus you will need to freeze the boss using frost damage. The easiest way of doing this is by using the Enchant: Elemental Force on a low ilvl item and such once the boss is frozen you will have to attack him more to shatter the boss. Viscidus cannot be defeated if frost damage is not used and as such brings the price of this pet up than the others.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
    local desc = AceGUI:Create("Label")
  desc:SetText("This is something to take into account when doing this and should be valued by the time it takes to do said raid for the chance of reward, which then leads towards your total return of sale of those battle pets on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

-- Open World

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Open World:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Open World Battle Pet farming is another way of gathering battle pets. This can be done through either camping a rare mob in the open world or farming a specific location for the chance of drop from specific mobs.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

  local desc = AceGUI:Create("Label")
  desc:SetText("Taking this into account for camping we have to look no further than the Timeless Isle in Pandaria. This is one of the best farming locations as a lot of the rare spawns on this isle will have a chance of dropping a battle pet. For this instance we shall look at one which is the Ruby Droplet. This can be farmed from the rare “Garnia” at a 3% drop chance. The key way of farming rares would be to park an character next to the spawn location and logging into that character every day and if the rare is spawned the slaying it. Spawn camping should be done on a casual basis as this saves time waiting for respawns which can take an hour to more, so simply logging every now and then is a much more practical way for farming battle pets than waiting around and that time can be used elsewhere in you gold making journey.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
    local desc = AceGUI:Create("Label")
  desc:SetText("The other method will take us over towards a keynote farm for the Azure Whelpling. This battle pet is a zone specific battle pet meaning it can only drop from mobs in Winterspring. This along with the low drop chance means that the battle pet goes for a strong amount of gold and can be paired with other mobs based farms inside of this zone. Farms like Warbear Leather, Essence of Water and Essence of Undeath are all good farms to do in this zone and can all provide good gold along with the chance of getting this battle pet with them all. This is something to take into account as we want to maximise the amount of gold we are getting while also increasing our chances of obtaining said battle pets.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
  -- Vendor

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vendor:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Lastly for Battle Pets is the vendor pets. This is by far the easiest way of obtaining battle pets and will require you to go to vendors throughout the world and buying them for resale. Some battle pets go for more than most as some can be traded in for expansion or event specific currencies. These tend to go for more than the others and should be double downed on when the supply on your auction house is lower.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

  local desc = AceGUI:Create("Label")
  desc:SetText("As for other battle pets like the ones purchased for gold. This tend to go for less gold but the price is fair for what you pay for these. This is because you are going around the open world go to all of the vendors and purchasing these battle pets and than selling them on the auction for a premium. The people buying these are typically buying these for convenience than having to go to those vendors themselves.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 

















 
  
  
  
  

end